Option Explicit On 
Option Strict On

Imports System.Globalization
Imports System.Threading

Module Module1

Const CRLF As String = ControlChars.CrLf

Sub Main()

Dim culDefault As CultureInfo
Dim culFrench As CultureInfo
Dim culGerman As CultureInfo
Dim D As Decimal
Dim fmt As String

fmt = "Value of [{0}] in culture '{1}' is {2}"

culDefault = Thread.CurrentThread.CurrentCulture
culFrench = New CultureInfo("fr-FR")
culGerman = New CultureInfo("de-DE")

Console.WriteLine("Current:" & AboutCulture(culDefault))
Console.WriteLine("French:" & AboutCulture(culFrench))
Console.WriteLine("German:" & AboutCulture(culGerman))

D = 123456.789D
Console.WriteLine(fmt, "D", "current", Format(D))
Console.WriteLine(fmt, "D", "French", D.ToString("c", culFrench.NumberFormat))
Console.WriteLine(fmt, "D", "German", D.ToString("c", culGerman.NumberFormat))


Console.ReadLine()

End Sub

Private Function AboutCulture(ByVal cul As CultureInfo) As String
With cul
	Return _
	"DisplayName=" & .DisplayName & CRLF & _
	"EnglishName=" & .EnglishName & CRLF & _
	"Calendar=" & .Calendar.ToString & CRLF & _
	"NumberFormat="" & .NumberFormat"
End With
End Function

End Module
