Option Explicit On 
Option Strict On

Imports System.Resources

Module modLocalize

Public Const K_MNU_FILE As Integer = 1000
Public Const K_MNU_FILE_NEW As Integer = 1010
Public Const K_MNU_FILE_OPEN As Integer = 1020
Public Const K_MNU_FILE_EXIT As Integer = 1090

Public Const K_MNU_HELP As Integer = 1900
Public Const K_MNU_HELP_CONTENTS As Integer = 1910
Public Const K_MNU_HELP_INDEX As Integer = 1920
Public Const K_MNU_HELP_ABOUT As Integer = 1990

Public Const K_LIT_HELLO_WORLD As Integer = 4000
Public Const K_LIT_LOCATION As Integer = 5000

Public Function Localize(ByVal MessageNumber As Integer, Optional ByVal DefaultValue As String = Nothing) As String

'	In:		MessageNumber		Key of the message
'			TextField			Field to be replaced (ByRef)

Static MyResources As ResourceManager

Dim S As String

If MyResources Is Nothing Then
	MyResources = New ResourceManager("Variable.Resource1", System.Reflection.Assembly.GetExecutingAssembly())
End If

S = MyResources.GetString("str" & MessageNumber.ToString)
If S Is Nothing Then
	If DefaultValue Is Nothing Then
		S = "#" & MessageNumber.ToString
	Else
		S = DefaultValue
	End If
End If

Return S.Replace("|", ControlChars.CrLf)

End Function

End Module
